import request from '@/utils/request'

// 查询评论飘屏与置顶列表
export function listLiveComment(query) {
  return request({
    url: '/live/comment/list',
    method: 'get',
    params: query
  })
}

// 查询评论飘屏与置顶详细
export function getLiveComment(id) {
  return request({
    url: '/live/comment/' + id,
    method: 'get'
  })
}

// 新增评论飘屏与置顶
export function addLiveComment(data) {
  return request({
    url: '/live/comment',
    method: 'post',
    data: data
  })
}

// 修改评论飘屏与置顶
export function updateLiveComment(data) {
  return request({
    url: '/live/comment',
    method: 'put',
    data: data
  })
}

// 删除评论飘屏与置顶
export function delLiveComment(id) {
  return request({
    url: '/live/comment/' + id,
    method: 'delete'
  })
}

// 导出评论飘屏与置顶
export function exportLiveComment(query) {
  return request({
    url: '/live/comment/export',
    method: 'post',
    params: query
  })
}
